Bug 434777 - lchage behaves incorrectly when -W given
lchage behaves incorrectly when -W given
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libuser (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 08:13 EST by Milos Malik
Modified: 2010-03-04 07:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 07:17:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-02-25 08:13:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
The lchage utility is not able to modify "The number of days to warn user of an expiring password".

Version-Release number of selected component (if applicable):
libuser-0.52.5-1

How reproducible:
Always


Steps to Reproduce:
1. luseradd testuser
2. lchage -m 1 -M 365 -W 5 testuser
3. lchage -l testuser

Actual Results:
You can see following line in the output of lchage command:

Warning:        7


Expected Results:
You can see following line in the output of lchage command:

Warning:        5

Additional info:
Comment 1 RHEL Product and Program Management 2008-02-25 08:17:29 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Miloslav Trmač 2008-02-26 07:15:00 EST
Thanks for your report.  This is fixed in RHEL 5.

Note You need to log in before you can comment on or make changes to this bug.